<?php

require_once dirname(__FILE__) . '/../includes/inicio.php';

if (isset($_POST['usuario']) && isset($_POST['senha'])) {
    try {
        $objUsuario = Usuario::login($_POST['usuario'], $_POST['senha']);

        if (!$objUsuario) {
            Message::error('Credenciais incorretas.');
        }
    } catch (Exception $ex) {
        Message::error($ex->getMessage());
    } catch (BancoExcecao $ex2) {
        Message::error(Util::mensagemRetorno('erro', 'ERRO ! <br /><br />') . ' ' . $ex->getMessage());
    }

    if ($objUsuario) {
        $_SESSION['sesCMSLogin'] = $objUsuario->login;
        $_SESSION['sesCMSEmail'] = $objUsuario->email;
        $_SESSION['sesCMSNome'] = $objUsuario->nome;
        $_SESSION['sesCMSIdPerfil'] = $objUsuario->perfil;
        $_SESSION['sesCMSCodigo'] = $objUsuario->id;
        $_SESSION['sesCMSIP'] = $_SERVER['REMOTE_ADDR'];
        $_SESSION['sesCMSStatusLoginYak'] = 'logado';

        try {
            $objLog = LogCMS::inserir($objUsuario->id, 'Efetuou login', $_SESSION['sesCMSIP']);

            // cookie - lembrar nome de usuario
            if (isset($_POST['lembrar'])) {
                setcookie('lembrar', $objUsuario->email, time() + 3600 * 24 * 5); //quatro dias
            } else {
                setcookie('lembrar', '', time() - 3600); //expira
            }

            header('Location: ../index.php');
            exit;
        } catch (Exception $ex) {
            Message::error('Usuário sem permissões de acesso');
        }
    }

    header('Location: ../login.php');
} else {
    Message::error('Dados Inválidos!');
}
